Subject: bug#15929: point position with electric-pair-mode

From: Dan Nicolaescu <[email-masked]>
Date: Tue, 19 Nov 2013 14:51:16 -0500

emacs -Q
M-x electric-pair-mode RET

f o o C-SPC C-a

The point should now be at the beginning of a line that contains the
string: foo

Typing " inserts quotes around foo, but the point is moved to the end of
the line.  After inserting a pair, the point is moved after the last
item in the pair, regardless if the point was at the begging of the
region. 

It would be better if the point stayed in the same location.  Or at
least offer a configuration variable to allow that behavior.

Thanks